"use strict";
const __vanilla_filescope__ = require("@vanilla-extract/css/fileScope");
const css = require("@vanilla-extract/css");
const cssUtils = require("@vanilla-extract/css-utils");
const styles_lib_css_responsiveStyle_cjs = require("../../css/responsiveStyle.cjs");
const styles_lib_themes_vars_css_cjs = require("../../themes/vars.css.cjs");
__vanilla_filescope__.setFileScope("src/lib/components/MenuItemCheckbox/MenuItemCheckbox.css.ts", "braid-design-system");
const checkboxFieldSize = styles_lib_themes_vars_css_cjs.vars.inlineFieldSize.small;
const menuItemCapHeight = css.createVar("menuItemCapHeight");
const crop = css.createVar("crop");
const checkboxSize = css.style([styles_lib_css_responsiveStyle_cjs.responsiveStyle({
  mobile: {
    vars: {
      [menuItemCapHeight]: styles_lib_themes_vars_css_cjs.vars.textSize.standard.mobile.capHeight,
      [crop]: cssUtils.calc(checkboxFieldSize).subtract(menuItemCapHeight).divide(2).negate().toString()
    }
  },
  tablet: {
    vars: {
      [menuItemCapHeight]: styles_lib_themes_vars_css_cjs.vars.textSize.standard.tablet.capHeight
    }
  }
}), {
  height: checkboxFieldSize,
  width: checkboxFieldSize,
  marginTop: crop,
  marginBottom: crop
}], "checkboxSize");
__vanilla_filescope__.endFileScope();
exports.checkboxSize = checkboxSize;
