import { setFileScope, endFileScope } from "@vanilla-extract/css/fileScope";
import { style } from "@vanilla-extract/css";
import { colorModeStyle } from "../../css/colorModeStyle.mjs";
import { vars } from "../../themes/vars.css.mjs";
setFileScope("src/lib/components/Rating/Rating.css.ts", "braid-design-system");
const lightModeStarColor = style(colorModeStyle({
  lightMode: {
    color: vars.foregroundColor.rating
  }
}), "lightModeStarColor");
const darkModeStarColor = style(colorModeStyle({
  darkMode: {
    color: vars.foregroundColor.rating
  }
}), "darkModeStarColor");
const starSpacing = style({
  paddingRight: "1px"
}, "starSpacing");
const textSpacing = style({
  paddingLeft: "0.4em"
}, "textSpacing");
endFileScope();
export {
  darkModeStarColor,
  lightModeStarColor,
  starSpacing,
  textSpacing
};
