"use strict";
const jsxRuntime = require("react/jsx-runtime");
const styles_lib_components_Box_Box_cjs = require("../../Box/Box.cjs");
const styles_lib_hooks_useIcon_index_cjs = require("../../../hooks/useIcon/index.cjs");
const styles_lib_components_icons_IconArrow_IconArrow_css_cjs = require("./IconArrow.css.cjs");
const IconArrowSvg = ({ title, titleId, ...props }) => /* @__PURE__ */ jsxRuntime.jsxs(
  "svg",
  {
    xmlns: "http://www.w3.org/2000/svg",
    width: 16,
    height: 16,
    viewBox: "0 0 24 24",
    focusable: "false",
    fill: "currentColor",
    "aria-labelledby": titleId,
    ...props,
    children: [
      title ? /* @__PURE__ */ jsxRuntime.jsx("title", { id: titleId, children: title }) : null,
      /* @__PURE__ */ jsxRuntime.jsx("path", { d: "m11.293 4.293-7 7a1 1 0 1 0 1.414 1.414L11 7.414V19a1 1 0 1 0 2 0V7.414l5.293 5.293a1 1 0 1 0 1.414-1.414l-7-7a1 1 0 0 0-1.414 0Z" })
    ]
  }
);
const IconArrow = ({ direction = "up", ...props }) => {
  const { className, ...iconProps } = styles_lib_hooks_useIcon_index_cjs.useIcon(props);
  return /* @__PURE__ */ jsxRuntime.jsx(
    styles_lib_components_Box_Box_cjs.Box,
    {
      component: IconArrowSvg,
      className: [
        styles_lib_components_icons_IconArrow_IconArrow_css_cjs.root,
        className,
        {
          [styles_lib_components_icons_IconArrow_IconArrow_css_cjs.rotate]: direction === "right" || direction === "left",
          [styles_lib_components_icons_IconArrow_IconArrow_css_cjs.flip]: direction === "down",
          [styles_lib_components_icons_IconArrow_IconArrow_css_cjs.mirror]: direction === "left"
        }
      ],
      ...iconProps
    }
  );
};
exports.IconArrow = IconArrow;
