import { setFileScope, endFileScope } from "@vanilla-extract/css/fileScope";
import { style, createVar, fallbackVar } from "@vanilla-extract/css";
setFileScope("src/lib/components/icons/IconArrow/IconArrow.css.ts", "braid-design-system");
const root = style({
  transition: "transform 0.3s ease",
  transformOrigin: "50% 50%"
}, "root");
const flip = style({
  transform: "rotateX(180deg)"
}, "flip");
const mirrorVar = createVar("mirrorVar");
const rotate = style({
  transform: `scaleX(${fallbackVar(mirrorVar, "1")}) rotate(90deg)`
}, "rotate");
const mirror = style({
  vars: {
    [mirrorVar]: "-1"
  }
}, "mirror");
endFileScope();
export {
  flip,
  mirror,
  root,
  rotate
};
