import { setFileScope, endFileScope } from "@vanilla-extract/css/fileScope";
import { style, createVar } from "@vanilla-extract/css";
import { atoms } from "../../../../../css.mjs";
setFileScope("src/lib/components/private/MaxLines/MaxLines.css.ts", "braid-design-system");
const base = style([atoms({
  display: "block",
  overflow: "hidden",
  minWidth: 0
}), {
  textOverflow: "ellipsis",
  whiteSpace: "nowrap"
}], "base");
const lineLimit = createVar("lineLimit");
const lineClampSupportsQuery = "(display: -webkit-box) and (-webkit-line-clamp: 1)";
const multiLine = style({
  // Can drop supports query when Edge 16 is removed from browser support policy
  "@supports": {
    [lineClampSupportsQuery]: {
      whiteSpace: "initial",
      display: "-webkit-box",
      WebkitLineClamp: lineLimit,
      WebkitBoxOrient: "vertical"
    }
  }
}, "multiLine");
endFileScope();
export {
  base,
  lineLimit,
  multiLine
};
