"use strict";
const styles_lib_css_atoms_sprinkles_css_cjs = require("./atoms/sprinkles.css.cjs");
const makeSelector = (mode, styles) => !styles || Object.keys(styles).length === 0 ? {} : {
  [styles_lib_css_atoms_sprinkles_css_cjs.colorModeSelectors[mode]]: styles
};
const colorModeStyle = ({
  lightMode,
  darkMode
}) => ({
  ...lightMode || darkMode ? {
    selectors: {
      ...makeSelector("light", lightMode),
      ...makeSelector("dark", darkMode)
    }
  } : {}
});
exports.colorModeStyle = colorModeStyle;
