import { setFileScope, endFileScope } from "@vanilla-extract/css/fileScope";
import { style } from "@vanilla-extract/css";
import { calc } from "@vanilla-extract/css-utils";
import { responsiveStyle } from "./responsiveStyle.mjs";
import { vars } from "../themes/vars.css.mjs";
setFileScope("src/lib/css/textAlignedToIcon.css.ts", "braid-design-system");
const calculateForBreakpoint = (breakpoint) => {
  const type = vars.textSize.standard[breakpoint];
  const padding = calc(type.lineHeight).subtract(type.capHeight).divide(2).toString();
  return {
    paddingTop: padding,
    paddingBottom: padding
  };
};
const textAlignedToIcon = {
  standard: style(responsiveStyle({
    mobile: calculateForBreakpoint("mobile"),
    tablet: calculateForBreakpoint("tablet")
  }), "textAlignedToIcon_standard")
};
endFileScope();
export {
  textAlignedToIcon
};
