import { jsx } from "react/jsx-runtime";
import { apacTheme_css } from "./styles/lib/themes/apac/apacTheme.css.mjs";
import { seekJobs_css } from "./styles/lib/themes/seekJobs/seekJobs.css.mjs";
import { seekBusinessTheme_css } from "./styles/lib/themes/seekBusiness/seekBusinessTheme.css.mjs";
import { wireframe } from "./styles/lib/themes/wireframe/wireframeTheme.css.mjs";
import { docsTheme_css } from "./styles/lib/themes/docs/docsTheme.css.mjs";
import { BraidTestProviderContext, breakpointContext, BraidProvider } from "./side-effects/lib/components/BraidProvider/BraidProvider.mjs";
const themes = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  apac: apacTheme_css,
  docs: docsTheme_css,
  seekBusiness: seekBusinessTheme_css,
  seekJobs: seekJobs_css,
  wireframe
}, Symbol.toStringTag, { value: "Module" }));
const BraidTestProvider = ({
  themeName = "wireframe",
  breakpoint = null,
  ...restProps
}) => /* @__PURE__ */ jsx(BraidTestProviderContext.Provider, { value: true, children: /* @__PURE__ */ jsx(breakpointContext.Provider, { value: breakpoint, children: /* @__PURE__ */ jsx(
  BraidProvider,
  {
    ...restProps,
    theme: themes[themeName],
    styleBody: void 0
  }
) }) });
export {
  BraidTestProvider
};
